#version 330 core

uniform mat4 modelMatrix = mat4(1);
uniform mat4 viewMatrix = mat4(1);
uniform mat4 projectionMatrix = mat4(1);

layout(location=0)in vec2 vertex;
layout(location=1)in vec2 texCoord;
layout(location=2)in vec4 color;

out vec2 fTexCoord;
out vec4 fColor;

void main()
{
    fTexCoord = texCoord;
    fColor = color;
    gl_Position = projectionMatrix*modelMatrix*viewMatrix*vec4(vertex, 0, 1);
}